%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-should
Version:    7.1.1
Release:    1%{?dist}
Summary:    A test framework agnostic BDD-style assertions for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/shouldjs/should.js
Source0:    http://registry.npmjs.org/should/-/should-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should-equal)
BuildRequires:  npm(should-format)
BuildRequires:  npm(should-type)
%endif

%description
should is an expressive, readable, test framework agnostic, behavior-driven
development (BDD)-style assertion library for Node.js.

It extends the Object prototype with a single non-enumerable getter that
allows you to express how that object should behave.

should literally extends Node's assert module. For example,
should.equal(str, 'foo') will work, just as assert.equal(str, 'foo') would,
and should.AssertionError is assert.AssertionError, meaning any test framework
supporting this constructor will function properly with should.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
rm -f should.min.js
find . -type f -exec chmod -x '{}' \;


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/should
cp -pr package.json index.js lib/ should.js \
    %{buildroot}%{nodejs_sitelib}/should

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --ui exports test/**/*.test.js
%endif


%files
%doc History.md Readme.md
%{nodejs_sitelib}/should


%changelog
* Tue Oct 20 2015 Tom Hughes <tom@compton.nu> - 7.1.1-1
- update to upstream release 7.1.1

* Mon Sep  7 2015 Tom Hughes <tom@compton.nu> - 7.1.0-1
- update to upstream release 7.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.3.1-1
- update to upstream release 3.3.1

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.3-1
- update to upstream release 3.1.3

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.2-3
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.2-2
- rebuild for missing npm(should) provides on EL6

* Sun Feb 24 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.2-1
- update to upstream release 1.2.2
- fix typo in description

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.1-1
- initial package
